<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_utils.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Utils Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_utils.html">Utils</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#ab30053d4a10e95848e87952fc66c8cd7">CreateState</a>(StateSpec stateSpec)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#ad107fcf29655462a8a7f6d14660eae47">DeleteInteractionElement&lt; T &gt;</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#ad4fcb8774f5b2643db9a1a51d21d67c1">DeleteState</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a7fc1a1b574ca86882a8de733f73ca35f">DeleteTransition</a>(string specName, EventSpec type)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a8609ce6a3791641236fdd70397453ba3">DeleteTransition</a>(TransitionSpec transition)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#acd84b705ebe19552557f87943fa9612a">DeleteVisualizationArray</a>(string array)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a37fb7f97ce52a843c7e1339f961f41b0">DeleteVisualizationElement&lt; T &gt;</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#afff7ca6f3fdcb8a7848e84db230e811f">ElementType</a> enum name</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#ac4db42468b93365ef9ce576e06fd5f1d">GetCurrentState</a>()</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a592bcafc407fc822614e71a98d178081">GetInteractionElement&lt; T &gt;</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a546802d6f59d841102326923bb12e51f">GetInteractionElements</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#ac1958cd90ee3426959f67d8f6ae2a1d1">GetState</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a5a164e0563ca6d9aa06c45bebf436f05">GetStateIndex</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#ad069fd6bb6a50034f5b157eef1f1d91a">GetStates</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#aad2b260cf019a16e843666f807bb710c">GetTransition</a>(string specName, EventSpec type)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#abddd8792e25eca5b540d6f438cb7dabd">GetTransition</a>(string sourceState, string specName, EventSpec type)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#aaa529a2346a2a83b6a640d7709a86bc9">GetTransitions</a>(string linkedSituation)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a0327d83259e7e4b97ebc731ddf20fcfa">GetTransitions</a>(string source, string destination)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a88afd33827c764d277dcd64920351ae1">GetVisualizationArray</a>(string array)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a68614eba92f1abded960e4cfa8225e81">GetVisualizationArrays</a>(string array)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a3190a484104fa4b1d53581c5e222d644">GetVisualizationElement&lt; T &gt;</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a9f2d6e307121e9875a4ad7e91cc481b8">GetVisualizationElements</a>(string element)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a6b3fa945308a46048cde070809fd9dea">IsPointerOverUI</a>()</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a12f6900587636ca8e53f6571e88d879c">ParseInteractionSpec</a>(InteractionElementSpec spec)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#a99910f8d65b202109789a8c87cc09b58">ParseVisualizationSpec</a>(VisualizationElementSpec spec)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_utils.html#a4187f0ec97cc29945c425bb46c4cc0d8">SetCurrentState</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_utils.html#ac9074cedc809a670a328f054498f67ca">UpdateState</a>(string stateName)</td><td class="entry"><a class="el" href="class_utils.html">Utils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
